function [L,A] = factorizacaoLU(A)

%Verifica se A  quadrada
[n,m]=size(A); 
if (n ~= m), error('Apenas para matrizes quadradas'); end

%Inicializa L
L = eye(n);

for k=1:n-1
  %Verifica se o pivot  nulo   
  if (A(k,k) == 0), error('Pivot nulo. E necessaria troca de linhas'); end
  
  for i=(k+1):n
      L(i,k) = A(i,k)/A(k,k); %Guarda o factor de multiplicao na L
      A(i,1:n) = A(i,1:n) - L(i,k)*A(k,1:n);   %Faz a subtrao na A
  end
end
return